unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, PrintRecord, Db, DBTables;

type
  TfrmMain = class(TForm)
    tblCustomers: TTable;
    dtcCustomers: TDataSource;
    PrintRecord1: TPrintRecord;
    btnPrint: TButton;
    btnClose: TButton;
    tblCustomersCustNo: TFloatField;
    tblCustomersCompany: TStringField;
    tblCustomersAddr1: TStringField;
    tblCustomersAddr2: TStringField;
    tblCustomersCity: TStringField;
    tblCustomersState: TStringField;
    tblCustomersZip: TStringField;
    tblCustomersCountry: TStringField;
    tblCustomersPhone: TStringField;
    tblCustomersFAX: TStringField;
    tblCustomersTaxRate: TFloatField;
    tblCustomersContact: TStringField;
    tblCustomersLastInvoiceDate: TDateTimeField;
    procedure btnCloseClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure btnPrintClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmMain: TfrmMain;

implementation

{$R *.DFM}

procedure TfrmMain.btnCloseClick(Sender: TObject);
begin
  Close;
end;

procedure TfrmMain.FormCreate(Sender: TObject);
begin
  tblCustomers.Open;
end;

procedure TfrmMain.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  tblCustomers.Close;
end;

procedure TfrmMain.btnPrintClick(Sender: TObject);
begin
  PrintRecord1.Print;
end;

end.
